Bug 810049 - Review Request: netbeans-ide - Netbeans Integrated Development Environment (IDE) [NEEDINFO]
Summary: Review Request: netbeans-ide - Netbeans Integrated Development Environment (IDE)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 781388 821636 (view as bug list)
Depends On: 826530 826541 885634 885675
Blocks: 810048
TreeView+ depends on / blocked
 
Reported: 2012-04-05 01:19 UTC by gil cattaneo
Modified: 2020-06-02 14:12 UTC (History)
52 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 00:15:21 UTC
Type: ---
sshikha12420: needinfo? (extras-qa)


Attachments (Terms of Use)

Description gil cattaneo 2012-04-05 01:19:08 UTC
Spec URL: http://gil.fedorapeople.org/netbeans.spec
SRPM URL: http://gil.fedorapeople.org/netbeans-7.1.1-1.fc16.src.rpm
Description: NetBeans IDE is an Integrated Development Environment (IDE) for Java/JavaFX, 
C/C++, Ruby, PHP, etc. The NetBeans IDE is oriented on wide audience of 
developers from beginners up to experts. A developer can find useful set of 
the development tools that are embedded in the IDE or can be integrated with. 
The NetBeans IDE is the modular system and it can be configured according to 
user needs. Please, visit http://www.netbeans.org/ for more information about 
this open-source project.

Comment 1 Itamar Reis Peixoto 2012-04-05 02:14:39 UTC
do you want me to review it ?

Comment 2 gil cattaneo 2012-04-05 08:55:18 UTC
if it is not a problem... yes
thanks

Comment 3 Itamar Reis Peixoto 2012-05-31 14:12:14 UTC
Can you post a link for a koji scratch build ?

Comment 4 gil cattaneo 2012-05-31 14:15:21 UTC
sorry only for 826530 826541

Comment 5 gil cattaneo 2012-05-31 14:17:22 UTC
only for https://bugzilla.redhat.com/show_bug.cgi?id=826530

Comment 6 Julien Enselme 2014-08-02 15:49:16 UTC
Hi,

I too would like to see Netbeans in Fedora. Have managed any progress on this bug recently? Can I help you in any way?

Regards,

Comment 7 Raphael Groner 2014-11-23 20:44:29 UTC
Please update to v8.0.1:

https://netbeans.org/community/releases/80/

Comment 8 Raphael Groner 2014-11-23 20:45:50 UTC
*** Bug 821636 has been marked as a duplicate of this bug. ***

Comment 9 Raphael Groner 2014-11-23 20:46:09 UTC
*** Bug 781388 has been marked as a duplicate of this bug. ***

Comment 10 gil cattaneo 2014-11-25 20:54:28 UTC
I have no more interest in maintaining this package.
Please, if someone have time to spend, i willingly leave its maintenance.

Comment 11 Julien Enselme 2014-11-26 14:03:50 UTC
Hi,

I am willing to maintain this package. If you have any advice or updated SPECS, please let me know.

Regards,

Comment 12 Raphael Groner 2014-11-26 15:19:59 UTC
Hi Julien,

thanks for your interest to maintain this package. I would like to contribute as a co-maintainer. :)

Latest (semi-official) builds I can find seem to be from those days of F17 with Netbeans v7.0.1:
http://kojipkgs.fedoraproject.org/packages/netbeans/7.0.1/1.fc17/src/netbeans-7.0.1-1.fc17.src.rpm

Those kojis are officially linked from the Netbeans Wiki:
http://wiki.netbeans.org/Fedora/How_To/Install_NetBeans_Platform/RPM_Package_Manager

Comment 13 Raphael Groner 2014-11-26 17:43:26 UTC
Well, to prevent further confusion with -platform or -javaparser which are both single packages (no subpackages) for its own, we should consider to rename this review package to netbeans-ide, just like Mageia does it already.

http://mageia.madb.org/package/show/release/1/name/netbeans-ide

Comment 14 Julien Enselme 2014-11-27 21:32:33 UTC
Thanks for the links. I am starting to work on it.

(In reply to Raphael Groner from comment #13)
> Well, to prevent further confusion with -platform or -javaparser which are
> both single packages (no subpackages) for its own, we should consider to
> rename this review package to netbeans-ide, just like Mageia does it already.
> 
> http://mageia.madb.org/package/show/release/1/name/netbeans-ide

I agree.

Comment 15 Julien Enselme 2015-01-11 13:43:41 UTC
For your information, I tried to update to 8.0.2 without netbeans-platform as a dependency. It seems that netbeans includes the source for this package. However, I get an error message.

I think it can be solved if netbeans-platform is compiled separately. The error message is here: http://jenselme.perso.centrale-marseille.fr/visible/logs/2015-01-10_build-nb.error.log.

Help would be appreciated.

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-ide.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-8.0.2-1.fc21.src.rpm

Comment 16 Raphael Groner 2015-01-11 15:29:43 UTC
(In reply to Julien Enselme from comment #15)
> For your information, I tried to update to 8.0.2 without netbeans-platform
> as a dependency. It seems that netbeans includes the source for this
> package. However, I get an error message.

You have to unbundle netbeans-platform, cause it is already a separate package. Maybe ask the maintainers of netbeans-platform to update the package. By the way, what is the difference between thos both packages netbeans-platform and netbeans-platform8 in SCM? netbeans-platform8 seems to be orphaned since a long time, see http://pkgs.fedoraproject.org/cgit/netbeans-platform8.git/commit/?id=3fc6fe194b12f61cf5abbb8d884dfb4101e4dcff

> I think it can be solved if netbeans-platform is compiled separately. The
> error message is here:
> http://jenselme.perso.centrale-marseille.fr/visible/logs/2015-01-10_build-nb.
> error.log.

The java classes in org.openide.* are from netbeans-platform, so you have to set the package as a dependeny with BuildRequires. For instance, see http://bits.netbeans.org/dev/javadoc/org-openide-util-lookup/org/openide/util/lookup/package-summary.html

> Help would be appreciated.
> 
> Spec URL:
> http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-ide.spec
> SRPM URL:
> http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-8.0.2-1.
> fc21.src.rpm

Well, you should not use two separate names for each the spec file and the SRPM, please correct that.

Comment 17 Julien Enselme 2015-01-11 15:34:31 UTC
(In reply to Raphael Groner from comment #16)
> (In reply to Julien Enselme from comment #15)
> > For your information, I tried to update to 8.0.2 without netbeans-platform
> > as a dependency. It seems that netbeans includes the source for this
> > package. However, I get an error message.
> 
> You have to unbundle netbeans-platform, cause it is already a separate
> package. Maybe ask the maintainers of netbeans-platform to update the
> package. By the way, what is the difference between thos both packages
> netbeans-platform and netbeans-platform8 in SCM? netbeans-platform8 seems to
> be orphaned since a long time, see
> http://pkgs.fedoraproject.org/cgit/netbeans-platform8.git/commit/
> ?id=3fc6fe194b12f61cf5abbb8d884dfb4101e4dcff
I don't know. I have added with my previous comment https://bugzilla.redhat.com/show_bug.cgi?id=885675 (uptade netbeans-platform to 8.0.2) as a blocker for this bug. I tried to update it but failed for now. See my comment there for more information.
> 
> > I think it can be solved if netbeans-platform is compiled separately. The
> > error message is here:
> > http://jenselme.perso.centrale-marseille.fr/visible/logs/2015-01-10_build-nb.
> > error.log.
> 
> The java classes in org.openide.* are from netbeans-platform, so you have to
> set the package as a dependeny with BuildRequires. For instance, see
> http://bits.netbeans.org/dev/javadoc/org-openide-util-lookup/org/openide/
> util/lookup/package-summary.html
Thanks
> 
> > Spec URL:
> > http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-ide.spec
> > SRPM URL:
> > http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-8.0.2-1.
> > fc21.src.rpm
> 
> Well, you should not use two separate names for each the spec file and the
> SRPM, please correct that.

Indeed. I renamed the spec but not the package it contains. I will update that and reupload the SRPM soon.

Comment 18 Julien Enselme 2015-01-12 15:51:00 UTC
(In reply to Raphael Groner from comment #16)
> > Spec URL:
> > http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-ide.spec
> > SRPM URL:
> > http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-8.0.2-1.
> > fc21.src.rpm
> 
> Well, you should not use two separate names for each the spec file and the
> SRPM, please correct that.

Here are the new Spec and SRPM (names are the same):
- SPECS: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-ide.spec
- SRPM: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-ide-8.0.2-1.fc21.src.rpm

Comment 19 gil cattaneo 2015-03-31 15:39:20 UTC
Please, open a new bug for import/review netbeans ide

Comment 20 Mosaab Alzoubi 2015-04-14 00:15:21 UTC
Netbeans package was re-enabled. I think that will be nice to close this bug and asking for co-maintaining Netbeans at PkgDB.

Comment 21 Karishma Singh 2019-09-10 05:53:29 UTC Comment hidden (spam)
Comment 22 Karishma Singh 2019-09-10 05:54:26 UTC Comment hidden (spam)
Comment 23 Karishma Singh 2019-09-10 05:55:11 UTC Comment hidden (spam)
Comment 24 Pinky Bansal 2019-11-01 11:35:39 UTC Comment hidden (spam)
Comment 25 Pinky Bansal 2019-11-01 11:35:58 UTC Comment hidden (spam)
Comment 26 Pinky Bansal 2019-11-01 11:36:12 UTC Comment hidden (spam)
Comment 27 Pinky Bansal 2019-11-01 11:36:25 UTC Comment hidden (spam)
Comment 28 Pinky Bansal 2019-11-01 11:36:41 UTC Comment hidden (spam)
Comment 29 Pinky Bansal 2019-11-01 11:37:04 UTC Comment hidden (spam)
Comment 30 Pinky Bansal 2019-11-01 11:39:00 UTC Comment hidden (spam)
Comment 31 Pinky Bansal 2019-11-01 11:39:26 UTC Comment hidden (spam)
Comment 32 Pinky Bansal 2019-11-01 11:39:38 UTC Comment hidden (spam)
Comment 33 Pinky Bansal 2019-11-01 11:39:50 UTC Comment hidden (spam)
Comment 34 Timothy Sanders 2019-11-03 17:40:31 UTC Comment hidden (spam)
Comment 35 Roshni Khanna 2019-11-09 07:27:44 UTC Comment hidden (spam)
Comment 36 Julie Sharma 2019-11-12 13:04:42 UTC Comment hidden (spam)
Comment 38 Anjali Mehta 2019-11-23 14:02:55 UTC Comment hidden (spam)
Comment 39 renzy 2019-11-25 07:49:44 UTC Comment hidden (spam)
Comment 40 renzy 2019-11-25 07:50:11 UTC Comment hidden (spam)
Comment 41 renzy 2019-11-25 07:51:22 UTC Comment hidden (spam)
Comment 42 renzy 2019-11-25 07:51:48 UTC Comment hidden (spam)
Comment 43 renzy 2019-11-25 07:52:18 UTC Comment hidden (spam)
Comment 44 renzy 2019-11-25 07:52:35 UTC Comment hidden (spam)
Comment 45 renzy 2019-11-25 07:52:47 UTC Comment hidden (spam)
Comment 46 Vaishali Verma 2019-11-26 06:40:05 UTC Comment hidden (spam)
Comment 47 Vaishali Verma 2019-11-26 06:40:30 UTC Comment hidden (spam)
Comment 48 kalika Garg 2019-12-15 08:13:06 UTC Comment hidden (spam)
Comment 49 Riya Patel 2019-12-22 19:32:04 UTC Comment hidden (spam)
Comment 50 Sandhya 2019-12-27 12:39:48 UTC Comment hidden (spam)
Comment 51 Sandhya 2019-12-27 12:41:02 UTC Comment hidden (spam)
Comment 52 Sandhya 2019-12-27 12:41:28 UTC Comment hidden (spam)
Comment 53 Sandhya 2019-12-27 12:42:07 UTC Comment hidden (spam)
Comment 54 Sandhya 2019-12-27 12:42:36 UTC Comment hidden (spam)
Comment 55 Sandhya 2019-12-27 12:43:03 UTC Comment hidden (spam)
Comment 56 Sandhya 2019-12-27 12:43:34 UTC Comment hidden (spam)
Comment 57 Shweta Sharma 2019-12-28 05:43:40 UTC Comment hidden (spam)
Comment 58 Shweta Sharma 2019-12-28 05:44:44 UTC Comment hidden (spam)
Comment 59 Shweta Sharma 2019-12-28 05:44:58 UTC Comment hidden (spam)
Comment 60 Shweta Sharma 2019-12-28 05:45:14 UTC Comment hidden (spam)
Comment 61 Shweta Sharma 2019-12-28 05:45:33 UTC Comment hidden (spam)
Comment 62 Shweta Sharma 2019-12-28 05:45:49 UTC Comment hidden (spam)
Comment 63 riyaseth 2020-01-03 11:04:36 UTC Comment hidden (spam)
Comment 64 riyaseth 2020-01-03 11:05:28 UTC Comment hidden (spam)
Comment 65 riyaseth 2020-01-03 11:05:53 UTC Comment hidden (spam)
Comment 66 riyaseth 2020-01-03 11:06:10 UTC Comment hidden (spam)
Comment 67 Alisha Jonwal 2020-01-08 06:58:52 UTC Comment hidden (spam)
Comment 68 Alisha Jonwal 2020-01-08 06:59:27 UTC Comment hidden (spam)
Comment 69 Alisha Jonwal 2020-01-08 06:59:50 UTC Comment hidden (spam)
Comment 70 Alisha Jonwal 2020-01-08 07:00:18 UTC Comment hidden (spam)
Comment 71 Kiran 2020-01-11 06:39:34 UTC Comment hidden (spam)
Comment 72 aarohichaudhary 2020-01-14 06:17:07 UTC Comment hidden (spam)
Comment 73 Haridwar Escorts 2020-01-22 07:48:01 UTC Comment hidden (spam)
Comment 77 Meghna Singh 2020-01-25 06:16:02 UTC Comment hidden (spam)
Comment 81 alina chopra 2020-02-07 13:07:02 UTC Comment hidden (spam)
Comment 82 Kiran Sharma 2020-02-11 08:13:18 UTC Comment hidden (spam)
Comment 83 kritika saini 2020-02-17 12:08:03 UTC Comment hidden (spam)
Comment 84 kritika saini 2020-02-17 12:08:59 UTC Comment hidden (spam)
Comment 85 kritika saini 2020-02-17 12:09:42 UTC Comment hidden (spam)
Comment 86 priya sharma 2020-02-22 06:27:19 UTC Comment hidden (spam)
Comment 87 priya sharma 2020-02-22 06:28:20 UTC Comment hidden (spam)
Comment 88 Mayapandit 2020-02-22 07:01:22 UTC Comment hidden (spam)
Comment 89 Shalini 2020-02-28 15:47:45 UTC Comment hidden (spam)
Comment 90 Sohib 2020-03-01 14:08:03 UTC Comment hidden (spam)
Comment 91 Tanu Oberoi 2020-03-07 21:08:33 UTC Comment hidden (spam)
Comment 93 Julliechd1 2020-03-13 18:57:38 UTC Comment hidden (spam)
Comment 94 Dubai Fun Club 2020-03-24 07:16:15 UTC Comment hidden (spam)
Comment 95 Dubai Fun Club 2020-03-24 07:16:42 UTC Comment hidden (spam)
Comment 96 somya kaur 2020-03-30 11:08:20 UTC Comment hidden (spam)
Comment 97 somya kaur 2020-03-30 11:13:40 UTC Comment hidden (spam)
Comment 98 somya kaur 2020-03-30 11:21:54 UTC Comment hidden (spam)
Comment 99 Stella Martin 2020-04-01 12:50:35 UTC Comment hidden (spam)
Comment 100 colinmunro 2020-04-02 12:56:18 UTC Comment hidden (spam)
Comment 101 Aashi Rana 2020-04-06 05:57:38 UTC Comment hidden (spam)
Comment 102 midnightentertainment 2020-04-08 05:56:51 UTC Comment hidden (spam)
Comment 103 Disha Oberoi 2020-04-09 03:23:39 UTC Comment hidden (spam)
Comment 104 lisa 2020-04-20 08:09:21 UTC Comment hidden (spam)
Comment 105 Priya Sharma 2020-04-21 18:48:40 UTC Comment hidden (spam)
Comment 106 mehak bhatt 2020-04-23 13:39:40 UTC Comment hidden (spam)
Comment 107 mehak bhatt 2020-04-23 13:40:34 UTC Comment hidden (spam)
Comment 108 mehak bhatt 2020-04-23 13:41:07 UTC Comment hidden (spam)
Comment 109 Naveen 2020-04-25 23:17:18 UTC Comment hidden (spam)
Comment 111 code kit 2020-04-29 11:18:32 UTC Comment hidden (spam)
Comment 112 alinabella 2020-05-01 20:26:39 UTC Comment hidden (spam)
Comment 113 alinabella 2020-05-01 20:28:23 UTC Comment hidden (spam)
Comment 116 leenaji 2020-05-11 02:17:26 UTC Comment hidden (spam)
Comment 117 Bubblyhubs1 2020-05-11 23:38:24 UTC Comment hidden (spam)
Comment 118 sandysharma 2020-05-15 22:19:01 UTC Comment hidden (spam)
Comment 119 ravieshkumar31 2020-05-22 12:04:45 UTC Comment hidden (spam)
Comment 120 ravieshkumar31 2020-05-22 12:05:56 UTC Comment hidden (spam)
Comment 121 leenaji 2020-05-29 04:00:31 UTC Comment hidden (spam)
Comment 122 Shikha 2020-06-02 14:12:37 UTC Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.